%define dist .el5

# -*- RPM-SPEC -*-
Summary: A graphical interface for configuring the boot loader
Name: system-config-boot
Version: 0.2.13
Release: 1%{dist}.XOS.1
URL: http://fedora.redhat.com/
License: GPL
ExclusiveOS: Linux
Group: Applications/System 
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Source0: %{name}-%{version}.tar.gz
Requires: pygtk2
Requires: python2
Requires: usermode >= 1.36
Requires: rhpl >= 0.6
Requires: firstboot
ExclusiveArch: %{ix86} x86_64
Obsoletes: redhat-config-boot
Provides: redhat-config-boot = %{version}
BuildRequires: python >= 0:2.2, perl, gettext, glibc-devel, gcc, desktop-file-utils, yelp, perl-XML-Parser


%description
system-config-boot is a graphical user interface that allows 
the user to change the default boot entry of the system.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
%configure
%build
make

%install
%makeinstall

mkdir $RPM_BUILD_ROOT%{_datadir}/applications
for i in %{name}.desktop; do \
  desktop-file-install --vendor system --delete-original       \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
    --add-category X-Red-Hat-Base                             \
    $i; \
done;


%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
#%doc COPYING
/usr/bin/system-config-boot
/usr/sbin/system-config-boot
%dir /usr/share/system-config-boot
/usr/share/system-config-boot/*
%dir /usr/share/firstboot/
%dir /usr/share/firstboot/modules
/usr/share/firstboot/modules/boot_gui.py*
/usr/share/pixmaps/*.png
%attr(0644,root,root) %{_datadir}/applications/*
%attr(0644,root,root) %config /etc/security/console.apps/system-config-boot
%attr(0644,root,root) %config /etc/pam.d/system-config-boot

%changelog
* Fri Sep 14 2007 X/OS Linux Team <xoslinux@xos.nl> - 0.2.13-1.el5.XOS.1
- Build for X/OS Linux 5.
- X/OS Linux source rpm based on system-config-boot-0.2.13-1.el5.src.rpm
  (md5sum of original source rpm: afcb23820c862ef5eed6c0f6ed33cbbb).
- Include "dist" macro with value ".el5" to match the original release number.

* Mon Oct 09 2006 Harald Hoyer <harald@redhat.com> - 0.2.13-1%{dist}
- translation update
- Resolves: rhbz#216607

* Mon Oct 09 2006 Harald Hoyer <harald@redhat.com> - 0.2.12-1
- translation update (bug #208886, #209188)

* Thu Oct 13 2005 Harald Hoyer <harald@redhat.com> - 0.2.11-1
- use new config tool pam configuration file

* Thu Oct 13 2005 Harald Hoyer <harald@redhat.com> - 0.2.10-1
- use firstboot instead of deprecated functions in rhpl

* Thu Mar 31 2005 Harald Hoyer <harald@redhat.com> - 0.2.9-1
- s/gtk\.TRUE/True/g
- s/gtk\.FALSE/False/g

* Tue Nov 23 2004 Harald Hoyer <harald@redhat.com> - 0.2.8-1
- s/gtk.mainquit/gtk.main_quit/g

* Fri Jul 30 2004 Harald Hoyer <harald@redhat.com> - 0.2.7-1
- added build requirements: Perl-XML-Parser desktop-file-utils

* Wed Apr 21 2004 Harald Hoyer <harald@redhat.com> - 0.2.6-1
- translation updates (118804)

* Fri Apr  2 2004 Harald Hoyer <harald@redhat.com> - 0.2.5-1
- translation updates
- renaming of desktop file

* Mon Mar 15 2004 Harald Hoyer <harald@redhat.com> - 0.2.4-1
- translation update

* Thu Nov  6 2003 Harald Hoyer <harald@redhat.de> 0.2.0-1
- changed python version

* Thu Nov 06 2003 Harald Hoyer <harald@redhat.de> 0.1.7-1
- fixed #109266

* Thu Oct 30 2003 Harald Hoyer <harald@redhat.de> 0.1.6-1
- fixed #106796
- added exception handling

* Mon Oct 27 2003 Harald Hoyer <harald@redhat.de> 0.1.5-1
- fixed conf loading (#106796)
- i18n update

* Tue Oct 14 2003 Harald Hoyer <harald@redhat.de> 0.1.4-1
- autofooed and intltoolized r-c-boot

* Wed Oct  8 2003 Harald Hoyer <harald@redhat.de> 0.1.3-1
- added po files

* Wed Oct  2 2003 Harald Hoyer <harald@redhat.de> 0.1.2-1
- fixed desktop file

* Fri Aug 22 2003 Harald Hoyer <harald@redhat.de> 0.1.1-1
- first version

